<?php

namespace App\Traits;

trait CrudResponse
{
   
    /**
     * @param string $text
     * 
     * @return string
     */
    public function addOrUpdateResponseSuccessText($text = ""): string
    {
        return 'Opération effectuée avec succès';
    }
    
    /**
     * @param string $text
     * 
     * @return string
     */
    public function addOrUpdateResponseErrorText($text = ""): string
    {
        return 'Oups une erreur est survenue lors de l\'ajout';
    }

    /**
     * @param string $text
     * 
     * @return string
     */
    public function deleteResponseErrorText($text = ""): string
    {
        return 'Oups une erreur est survenue lors de la suppression';
    }

    /**
     * @param string $text
     * 
     * @return string
     */
    public function deleteResponseSuccessText($text = ""): string
    {
        return 'Ligne supprimé avec succès';
    }

    /**
     * @param bool $success
     * 
     * @return string
     */
    private function addOrUpdateResponseText(bool $success): string
    {
        return $success ? $this->addOrUpdateResponseSuccessText() : $this->addOrUpdateResponseErrorText();
    }
}
